appianErrorCode.holder={0}

appian.process.palettes.menu.allcategories=Palette Categories
appian.process.folders.root=Process Models
appian.process.datatype.notvisible=[Not Visible]
appian.process.datatype.recordType=Record Type

### success messages
success.create.folder=You have successfully created the Folder.
sucess.process.task.added=Note Successfully added.
message.pm.deletesuccess=The Process Model {0} has been deleted successfully.
message.deleteprocess.success.plural=The processes have been deleted successfully.
message.deleteprocess.success.singular=The process has been deleted successfully.
message.addattachment.success=The attachment was added successfully.
message.changepriority.success=The priority has been changed.
message.changedeadline.set.success=The deadline has been set successfully.
message.changedeadline.removed.success=The deadline has been removed successfully.
message.startprocess.success=Action completed.
message.archive.success=The process has been successfully archived.
message.submittask.success=Your task has been submitted.
message.submitquicktask.success=The form was submitted successfully.
message.rejecttask.success=This task has been rejected.
message.reassign.success=Task has been reassigned.
message.addnotetotask.success=You have successfully added the note to the task.
message.savetask.success=Your data was successfully saved. You can come back and complete the task later.
message.task.single=the requested task
message.security.processmodel.update=The Process Model's security has been updated successfully.
message.security.processmodelfolder.update=The Folder's security has been updated successfully.
message.security.processinstance.update=The Process Instance's security has been updated successfully.
message.security.node.update=The Node's security has been updated successfully.

### errors
ExpressionTooComplex=The maximum number and/or complexity of expressions has been exceeded.  Please simplify or remove some metrics used in filtering or group-by criteria.
ReportTooManyCells=The maximum data size limit has been exceeded.  Please further refine your filtering criteria and/or reduce the number of columns.
UnsupportedReportSpecification=This report is no longer supported.
ErrorInExpression=An error has occurred when generating the report. Please update the report definition and try again.
HighSystemLoad=Your request could not be completed due to high system load. Please try again in a few minutes.

error.nodemetrics.noinstances=This process model does not have any process instances.  Please start at least one instance in order to view process metrics.
error.nodemetrics.noattendedtasks=No metrics can be displayed for this process model.  Metrics are only be generated for attended nodes.  Either this model does not contain attended nodes or these nodes have not yet become active.
error.nodemetrics.noattendedtasks.##CONTEXT##=Note that this is only part of the full string, and this is a legitimate error in the English text.  It should be "Metrics are only generated..."
error.nodemetrics.cannotfindreport=Cannot locate report under alias {0} with report id {1}.

error.view.knowledgecenter.details.permissions=You do not have permission to view the security of this Knowledge Center.
error.view.knowledgecenter.security.generic=An Error occurred while attempting to view the Security Settings on this Knowledge Center.

error.archive=There was an error archiving the process.
error.archive.archived=The process has already been archived.

error.view.processmodel.details.permissions=You do not have permission to view this Process Model.
error.view.processmodel.details.generic=An Error occurred while attempting to view this Process Model.

error.view.process.details.permissions=You do not have permission to view this Process.
error.view.process.details.generic=An Error occurred while attempting to view this Process.
error.view.process.details.invalid=The requested Process is invalid. It may have been deleted.

error.view.task.detail.invalidtask=The specified Task does not exist.
error.view.task.details.generic=An error occurred while attempting to view this Task.
error.view.task.details.null_form=Form is null for task {0} of process {1}.

error.view.processmodel.security.generic=An Error occurred while attempting to view the Security Settings on this Process Model.
error.update.processmodel.security.generic=An Error occurred while attempting to update the Security Settings on this Process Model.

error.view.process.security.generic=An Error occurred while attempting to view the Security Settings on this Process.
error.update.process.security.generic=An Error occurred while attempting to update the Security Settings on this Process.

error.view.processmodelfolder.security.generic=An Error occurred while attempting to view the Security Settings on this Folder.
error.update.processmodelfolder.security.generic=An Error occurred while attempting to update the Security Settings on this Folder.

error.view.node.security.generic=An Error occurred while attempting to view the Security Settings on this Task.
error.update.node.security.generic=An Error occurred while attempting to update the Security Settings on this Task.
error.appian.process.model_not_found=Process Model not found. It may have been deleted.
error.appian.process.version_not_found = There was an error locating that version of the process model. It may have been deleted.
error.appian.process.folder_not_found = There was an error locating that folder. It may have been deleted.
error.appian.process.folder.recursive_relationship=A process model folder cannot be moved inside itself.

error.get.priorities.processdoesnotexist=An error occurred while attempting to retrieve this process' priority. The process does not exist.

error.change.priority.taskdoesnotexist=There was an error while changing this task's priority.  The task does not exist.
error.change.priority.processdoesnotexist=There was an error while changing this process' priority.  The task does not exist.
error.change.priority.prioritydoesnotexist=There was an error while changing the priority.  The priority does not exist.
error.change.priority.illegalargument=There was an error while changing the priority. The task or process may no longer be active.
error.change.priority.privilege=There was an error while changing the priority. You do not have the necessary privileges.
error.change.priority.privilege=An unexpected error occurred while changing the priority.
error.change.priority.state=The {0} is cancelled or completed and its priority cannot be changed.
error.change.priority.generic=There was an error changing the priority.

error.changedeadline.retrieve.generic=An error occurred while trying to retrieve the current deadline settings.
error.changedeadline.update.generic=An error occurred while trying to update the deadline settings.

error.startprocess.privilege=You do not have privileges to start the process model.
error.startprocess.state= The process model is invalid, disabled, there is no published version of this process model, or the process model contains unpublished sub-processes or link-processes.
error.startprocess.full=All execution engines are at maximum load. Cannot start process/simulation. Archive existing processes to free up space.
error.startprocess.unpublished=The Process Model cannot be started, there is no published version.
error.startprocess.disabled=The Process Model is disabled and cannot be started.
error.startprocess.invalid=The Process Model is invalid and cannot be started.
error.startprocess.expression.pv=The Process Model could not be started. An error occurred while evaluating an expression for a process variable. Details: {0}

error.fileupload.error=There was a problem in uploading file for attachment.
error.addattachment.storagelimit.exceeded=This attachment(s) upload will exceed your allowed disk quota
error.addattachment.error=There was an unexpected problem in adding one or more attachments.
error.addattachment.insufficientpermission=Cannot add attachment, You do not have sufficient permissions on the destination folder. 
error.addattachment.nopermission=You do not have permission to add one or more attachments.
error.addattachment.task.limitexceeded=The Attachment(s) limit has been exceeded. You can not add more attachments to one or more tasks.
error.addattachment.invalid.task=One or more tasks do not exist, have been deleted or have not yet been started. Consequently the attachment was not added to these tasks.
error.addattachment.task.unattended=One or more tasks are unattended. Consequently the attachment was not added to these tasks.
error.addattachment.task.cancelled=One or more tasks are cancelled. Consequently the attachment was not added to these tasks.
error.addattachment.process.limitexceeded=The Attachment(s) limit has been exceeded. You can not add more attachment(s) to one or more processes.
error.addattachment.process.cancelled=One or more processes are cancelled. Consequently the attachment was not added to these processes.
error.addattachment.invalid.process=One or more processes do not exist, have been deleted or have not yet been started. Consequently the attachment was not added to these processes.

error.removeattachment.error=There was a problem removing attachment(s).
error.removeattachment.nopermission=You do not have permissions to remove attachment: '{0}'
error.removeattachment.nopermissions=You do not have permissions to remove attachments
error.removeattachment.invalid= Attachment: '{0}' is invalid.

error.rejecttask.error=There was an error rejecting this task.

#process notes errors
error.appian.process.view.processnote=There was a problem in retrieving the requested note.
error.appian.process.create.processnote=There was a problem in adding note to process.
error.appian.process.create.tasknote=There was a problem in adding note to task.
error.appian.process.delete.processnote=There was a problem with deleting note for process
error.appian.process.delete.tasknote=There was a problem with deleting note for task
error.appian.process.update.processnote=There was a problem with updating note for process
error.appian.process.update.tasknote=There was a problem with updating note for task
error.appian.process.create.processnote.limitexceeded=The Note(s) limit for process has exceeded. You can not add more Note(s) to process.
error.appian.process.create.tasknote.limitexceeded=The Note(s) limit for task has exceeded. You can not add more Note(s) to task.
error.appian.process.notes.content.notfound=Warning !!! Content of the note was not found

#### task notes
success.task.add.note=You have successfully added the note to the task.
success.task.add.note.process=You have successfully added the note to the process.
error.task.add.note.invalid.task=One or more of the tasks does not exist, has been deleted or has not yet been started, and the note could not be added.
error.task.add.note.no.priv=You do not have permissions to one or more of the tasks, and the note could not be added.
error.task.add.note.invalid.state=One or more of the tasks has been cancelled, completed or is unattended, and the note could not added.
error.task.add.note.generic=An unexpected error occurred while adding the note to one or more the tasks.

#### process notes
success.process.add.note=You have successfully added the note to the process.
error.process.add.note.invalid.process=One or more of the processes does not exist or has been deleted, and the note could not be added.
error.process.add.note.no.priv=You do not have permissions to one or more of the processes, and the note could not be added.
error.process.add.note.invalid.state=One or more of the processes was cancelled, and the note was not added.
error.process.add.note.generic=An unexpected error occurred while adding the note to one or more of the processes.

#### In flight modifications
success.process.pause=You have successfully paused the process(es).
error.process.pause.invalid.process=One or more of the requested processes could not be paused because the process does not exist or has been deleted.
error.process.pause.no.priv=One or more of the requested processes could not be paused because you do not have the required permission.
error.process.pause.invalid.state=One or more of the requested processes could not be paused because the process is either already paused, cancelled, or completed.
error.process.pause.lock.exception=One or more of the requested processes could not be paused because the process is locked.
error.process.pause.generic=One or more of the requested processes could not be paused because an unexpected error occurred.

success.process.resume=You have successfully resumed the process(es).
error.process.resume.invalid.process=One or more of the requested processes could not be resumed because the process does not exist or has been deleted.
error.process.resume.no.priv=One or more of the requested processes could not be resumed because you do not have the required permission.
error.process.resume.invalid.state=One or more of the requested processes could not be resumed because the process is not paused, has been cancelled or the process has been locked by another user.
error.process.resume.lock.exception=One or more of the requested processes could not be resumed because the process is being edited by another user.
error.process.resume.generic=One or more of the requested processes could not be resumed because an unexpected error occurred.

success.process.cancel=You have successfully cancelled the process(es).
error.process.cancel.invalid.process=One or more of the requested processes could not be cancelled because the process does not exist or has been deleted.
error.process.cancel.no.priv=One or more of the requested processes could not be cancelled because you do not have the required permission.
error.process.cancel.invalid.state=One or more of the requested processes could not be cancelled because the process is not active, paused, has already been cancelled or has been completed.
error.process.cancel.lock.exception=One or more of the requested processes could not be cancelled because the process is locked.
error.process.cancel.generic=One or more of the requested processes could not be cancelled because an unexpected error occurred.

success.task.start=You have successfully started the task(s).
error.task.start.invalid.node=The task could not be started because the node does not exist or has been deleted
error.task.start.logic=The node is a logic node and cannot be started.
error.task.start.paused=This process has been paused by exception so the node cannot be started.
error.task.start.recurring=The node is set to recur on its own and cannot be started.
error.task.start.no.priv=The task could not be started because you do not have the required permission.
error.task.start.invalid.process=The task could not be started because the process does not exist or has been deleted.
error.task.start.generic=The task could not be started because an unexpected error occurred.
error.task.start.toomanyinstances=The task could not be started because the maximum number of tasks has been exceeded.
error.task.start.pausebyexception=The task could not be started because the process is paused by exception.
error.task.start.recurring=The task cannot be started because it has been set to recur.

success.task.pause=You have successfully paused the task(s).
error.task.pause.invalid.task=The task could not be paused because the task does not exist, has been deleted or has not yet been started.
error.task.pause.no.priv=The task could not be paused because you do not have the required permission.
error.task.pause.invalid.state=The task cannot be paused in its current state; a task can only be paused if it is active (assigned/accepted) or running.
error.task.pause.generic=The task could not be paused because an unexpected error occurred.

success.task.resume=You have successfully resumed the task.
error.task.resume.invalid.task=The task could not be resumed because the task does not exist, has been deleted or has not yet been started.
error.task.resume.no.priv=The task could not be resumed because you do not have the required permission.
error.task.resume.invalid.state=The task could not be resumed because the task is not paused.
error.task.resume.generic=The task could not be resumed because an unexpected error occurred.

success.task.cancel=You have successfully cancelled the task(s). The progress of this flow will only continue if one or more active instances of this node exist.
error.task.cancel.invalid.task=The task could not be cancelled because the task does not exist, has been deleted or has not yet been started.
error.task.cancel.no.priv=The task could not be cancelled because you do not have the required permission.
error.task.cancel.invalid.state=The task could not be cancelled because the task has already been cancelled, completed or aborted.
error.task.cancel.generic=The task could not be cancelled because an unexpected error occurred.

success.task.reassign=You have successfully reassigned the task(s).
error.task.reassign.invalid.operation=One or more of the tasks could not be reassigned because the task has already been completed or is unattended.
error.task.reassign.invalid.task=One or more of the tasks could not be reassigned because the task does not exist, has been deleted or has not yet been started.
error.task.reassign.no.priv=One or more of the tasks could not be reassigned because you do not have the required permission.
error.task.reassign.no.assignees=One or more of the tasks could not be reassigned because you have not specified any assignees.
error.task.reassign.invalid.state=One or more of the tasks could not be reassigned because the task is cancelled, completed, aborted or is unattended.
error.task.reassign.generic=One or more of the tasks could not be reassigned because an unexpected error occurred.
error.task.reassign.prep.generic=One or more of the tasks could not be reassigned because an unexpected error occurred.
error.reassign.generic=Reassignment could not be completed as an unexpected error occurred.

error.process.view.diagram.locked.by=The process is locked by
error.process.view.diagram.view.only=Process will be in view mode.
error.process.view.diagram.override=Do you wish to override?

error.process.security.privilege=You do not have sufficient privileges to modify process security.
error.process.security.invalidprocess=The specified process does not exist.

error.task.security.privilege=You do not have sufficient privileges to modify task security.
error.task.security.invalidtask=The specified task does not exist.
error.task.expressions=There was a problem evaluating the expressions for this task.

error.task.execute.generic=There was a problem executing the task. {0}
error.task.execute.retryable=There was a problem executing the task. The problem is temporary and the task can be safely resubmitted. {0}
error.task.retrive.generic=There was a problem retrieving the task. {0}
error.task.retrive.missing=An error occurred while trying to retrieve the task.
error.task.activity_invalid=This task is in an invalid state.
error.task.activity_already_complete=This task has already been completed.
error.task.process_already_complete=The process containing this task has already been completed.
error.task.process_cancelled=The process containing this task has been cancelled.
error.task.process_deleted=The process containing this task has been deleted.
error.task.incorrect_owner=You are not the owner of the task.
error.task.process_paused=The process containing this task has been paused.
error.task.activity_paused=This task has been paused.
error.task.activity_cancelled=This task has been cancelled.

error.security.generic=An error occurred while updating security.

success.task.skip.timer=You have successfully skipped {0} timer.
error.task.skip.timer={0} timer could not be skipped because {1} 

success.task.trigger.timer=You have successfully triggered {0} timer
error.task.trigger.timer={0} timer could not be triggered because {1} 

success.task.skip.escalation=You have successfully triggered {0} escalation
error.task.skip.escalation={0} escalation could not be skipped because {1} 

success.task.trigger.escalation=You have successfully triggered {0} escalation
error.task.trigger.escalation={0} escalation could not be skipped because {1}

error.task.previous.deleted=Returning to the previous activity is not possible because it has been deleted.

success.process.variable.update=You have successfully updated {0} variable(s)
success.process.variable.update.##CONTEXT##=The placeholder is an integer
error.process.variable.update={0} variable(s) could not be skipped because {1}
error.process.variable.update.##CONTEXT##=The first placeholder is an integer
error.process.variable.view.generic=An error occurred while viewing this process variable
error.process.variable.update.generic=An error occurred while updating the value of this process variable


constants.failure.task.multiple=One or more of the requested tasks
constants.task.multiple=the requested tasks
constants.task.multiple.##CONTEXT##=This is unused.
constants.task.single=the requested task
constants.task.single.##CONTEXT##=This is unused.
constants.failure.process.multiple=One or more of the requested processes
constants.process.multiple=the requested processes
constants.process.multiple.##CONTEXT##=This is unused.
constants.process.single=the requested process
constants.process.single.##CONTEXT##=This is unused.

error.skip.recurrence.privilege = You do not have privileges to skip this recurrence.
error.skip.recurrence.node = You could not skip the recurrence because the node does not exist or has been deleted.
error.skip.recurrence.process = You could not skip the recurrence because the process does not exist or has been deleted.
error.skip.recurrence.state = The recurrence could not be skipped. It may have already started.

error.trigger.recurrence.privilege = You do not have privileges to trigger this recurrence.
error.trigger.recurrence.node = You could not trigger the recurrence because the node does not exist or has been deleted.
error.trigger.recurrence.process = You could not trigger the recurrence because the process does not exist or has been deleted.
error.trigger.recurrence.state = The recurrence could not be triggered. It may have already started.

error.createfolder.folderdoesnotexist = There was an error creating the folder. The folder it was created in does not exist.
error.createfolder.privilege = You do not have permission to create the folder.
error.createfolder.duplicateuuid = You cannot create a folder with a UUID that already exists.

error.deletepm.privilege = You do not have permission to delete this process model.
error.deletepmfolder.state = You cannot delete this folder. It is not empty.
error.deletepmfolder.invalidfolder = You cannot delete this folder. It may have already been deleted.
error.deletepmfolder.privilege = You do not have permission to delete this folder.

error.disablepm.privilege = You do not have permission to disable this process model.
error.enablepm.privilege = You do not have permission to enable this process model.

error.move.privilege = You do not have permission to move this.
error.move.invalidfolder = There was an error in moving. The folder could not be found.
error.move.pmlocked = There was an error moving this process model. It has been locked by another user.

error.rename.folder.privilege = You do not have permission to rename this folder.

error.rename.pm.privilege = You do not have permission to rename this process model.
error.rename.pm.lock = You cannot rename this process model. Another user has locked it.

error.viewsecurity.folder.privilege = You do not have permission to view this Folder.

error.forms.documentnotfound=The document associated with this form cannot be found, or you do not have access to view it.
error.forms.urlnotfound=The url associated with this form cannot be located.

error.analytics.metrics.aggregation=Attempt to aggregate only some metrics: must aggregate all or none.
error.analytics.metrics.aggregation.##CONTEXT##=Correct, 'Attempt' is a noun, as in 'this was an attempt to aggregate some metrics, but you must aggregate all or none'
error.analytics.viewreport.insufficientprivileges=You do not have sufficient privileges to view the report.
error.analytics.viewreport.generic=An error occurred while retrieving the report.

error.report.privilege.runreport=You do not have permission to run this report.

error.delete.process.generic=There was an error deleting the process.
error.cancel.process.generic=There was an error cancelling the process.

#ProcessModel Import-Export
error.pm.export=There was a problem in exporting the process model. Please try again
error.pm.import=There was a problem in importing the process model. Please try again

#Task Validation Messages
error.process.fileupload.emptyfile=The file does not exist or is empty.
error.process.fileupload.emptyname=The name cannot be left blank or contain only whitespaces.
error.process.fileupload.invalid=The name cannot contain any of the following characters: \u005C / ; : " | ? ' > < *
error.process.fileupload.filetoobig=File size is {0} kBytes.  Only {1} kBytes allowed.
error.process.fileupload.file.unavailable=We are unable to retrieve the local file. The file cannot be uploaded.
error.process.newversion.pendingapproval=The Document {0} is currently pending approval, so a new version cannot be created.
error.process.changepassword.permission=Insufficient privileges to change this user\'s password.
error.process.newversion.wrongextension=The new version file must have the same extension as the existing Document: {0}.
prompt.process.unlockandresumeprocess=You are currently editing this process. Would you like to finish editing and resume this process?  This will close the open process in the process modeler.


error.process.dashboardcreation.invalidname=Dashboard name exceeds the allowed character length.
error.process.dashboardcreation.invaliddescription=Dashboard description exceeds the allowed character length.
error.process.dashboardcreation.invalidcolumns=Dashboards can only have one or two columns.

